Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.json
Class JSONObject.Null

    java.lang.Object
      org.json.JSONObject.Null

Enclosing class:
  JSONObject

    private static final class JSONObject.Null

extends java.lang.Object

JSONObject.NULL is equivalent to the value that JavaScript calls null, whilst Java's null is equivalent to the value that JavaScript calls undefined.

Constructor Summary
`private` | `JSONObject.Null()`

Method Summary
`protected java.lang.Object` | `clone()` There is only intended to be a single instance of the NULL object, so the clone method returns itself.
`boolean` | `equals(java.lang.Object object)` A Null object is equal to the null value and to itself.
`java.lang.String` | `toString()` Get the "null" string value.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSONObject.Null

    private JSONObject.Null()

Method Detail

### clone

    protected final java.lang.Object clone()

  There is only intended to be a single instance of the NULL object, so the clone method returns itself.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    NULL.

### equals

    public boolean equals(java.lang.Object object)

  A Null object is equal to the null value and to itself.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - An object to test for nullness.
  Returns:
    true if the object parameter is the JSONObject.NULL object or null.

### toString

    public java.lang.String toString()

  Get the "null" string value.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string "null".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD